'use strict';

var ejs = require('ejs');
var loaderUtils = require('loader-utils');
var vm = require('vm')

module.exports = function (source) {

    if (this.cacheable) {
        this.cacheable();
    }
    if (/\.js$/.test(this.resourcePath)) {
        return source;
    }
    var options = this.query?loaderUtils.parseQuery(this.query):{};

    var html = ejs.render(source,{},{
        root:this.context
    });

    return html
};
